Passer au contenu principal
POST
https://{tenantDomain}/api/v2
/
flows
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Flows.CreateAsync(
            new CreateFlowRequestContent {
                Name = "name"
            }
        );
    }

}
package example

import (
context "context"

management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &management.CreateFlowRequestContent{
Name: "name",
}
client.Flows.Create(
context.TODO(),
request,
)
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.flows.requests.CreateFlowRequestContent;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.flows().create(
CreateFlowRequestContent
.builder()
.name("name")
.build()
);
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Flows\Requests\CreateFlowRequestContent;

$client = new Management(
token: '<token>',
);
$client->flows->create(
new CreateFlowRequestContent([
'name' => 'name',
]),
);
from auth0.management import ManagementClient

client = ManagementClient(
token="<token>",
)

client.flows.create(
name="name",
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.flows.create(name: "name")
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.flows.create({
name: "name",
});
}
main();
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.flows.create({
name: "name",
});
}
main();
curl --request POST \
--url https://{tenantDomain}/api/v2/flows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"actions": [
{
"id": "<string>",
"type": "ACTIVECAMPAIGN",
"action": "LIST_CONTACTS",
"params": {
"connection_id": "<string>",
"email": "<string>"
},
"alias": "<string>",
"allow_failure": true,
"mask_output": true
}
]
}
'
{
  "id": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "actions": [
    {
      "id": "<string>",
      "type": "ACTIVECAMPAIGN",
      "action": "LIST_CONTACTS",
      "params": {
        "connection_id": "<string>",
        "email": "<string>"
      },
      "alias": "<string>",
      "allow_failure": true,
      "mask_output": true
    }
  ],
  "executed_at": "2023-12-25"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corps

name
string
requis
Required string length: 1 - 150
actions
object[]

Réponse

Flow successfully created.

id
string<flow-id>
requis
Maximum string length: 30
name
string
requis
Required string length: 1 - 150
created_at
string<date-time>
requis
updated_at
string<date-time>
requis
actions
object[]
executed_at
string<date>